package net.shadowfacts.phycon.network.block.test

import net.minecraft.block.BlockState
import net.minecraft.block.Material
import net.minecraft.util.Identifier
import net.minecraft.util.math.BlockPos
import net.minecraft.util.math.Direction
import net.minecraft.world.BlockView
import net.minecraft.world.WorldAccess
import net.shadowfacts.phycon.PhysicalConnectivity
import net.shadowfacts.phycon.network.DeviceBlock
import java.util.*

/**
 * @author shadowfacts
 */
class SourceBlock: DeviceBlock<SourceBlockEntity>(Settings.of(Material.METAL)) {

	companion object {
		val ID = Identifier(PhysicalConnectivity.MODID, "source")
	}

	override fun createBlockEntity(world: BlockView): SourceBlockEntity {
		return SourceBlockEntity()
	}

	override fun getNetworkConnectedSides(state: BlockState, world: WorldAccess, pos: BlockPos): MutableCollection<Direction> {
		return EnumSet.allOf(Direction::class.java)
	}

}