package net.shadowfacts.phycon.network.block.test

import net.minecraft.util.Tickable
import net.minecraft.util.math.Direction
import net.shadowfacts.phycon.api.Interface
import net.shadowfacts.phycon.api.packet.Packet
import net.shadowfacts.phycon.api.util.IPAddress
import net.shadowfacts.phycon.init.PhyBlockEntities
import net.shadowfacts.phycon.network.DeviceBlockEntity
import net.shadowfacts.phycon.network.NetworkUtil

/**
 * @author shadowfacts
 */
class SourceBlockEntity: DeviceBlockEntity(PhyBlockEntities.SOURCE), Tickable {

	override fun handle(packet: Packet) {
		TODO("Not yet implemented")
	}

	override fun tick() {
		super.tick()
		if (!world!!.isClient && counter % 40 == 0L) {
			sendPacket(TestPacket(ipAddress, IPAddress(170, 171, 101, 168)))
		}
	}

	override fun findDestination(): Interface? {
		for (dir in Direction.values()) {
			val itf = NetworkUtil.findConnectedInterface(world!!, pos, dir)
			if (itf != null) {
				return itf
			}
		}
		return null
	}

}