package net.shadowfacts.phycon.network.packet

import net.shadowfacts.phycon.api.packet.Packet
import net.shadowfacts.phycon.api.util.IPAddress

/**
 * @author shadowfacts
 */
abstract class BasePacket(
	@JvmField private val source: IPAddress,
	@JvmField private val destination: IPAddress
): Packet {

	override fun getSource() = source
	override fun getDestination() = destination

}