package net.shadowfacts.phycon.network.packet

import net.shadowfacts.phycon.api.util.IPAddress
import net.shadowfacts.phycon.network.DeviceBlockEntity

/**
 * @author shadowfacts
 */
class DeviceRemovedPacket(source: IPAddress, destination: IPAddress = IPAddress.BROADCAST): BasePacket(source, destination) {
	constructor(device: DeviceBlockEntity): this(device.ipAddress)
}
